package com.ynet.life.sujrb.cache;

import java.io.IOException;
import java.util.Collections;
import java.util.Map;
import org.apache.commons.collections.map.LRUMap;

/* loaded from: com_ynet_life_sujrb_cache.jar:com/ynet/life/sujrb/cache/LRUCache.class */
public class LRUCache implements Cache {
    private Map<String, Map<String, Object>> data;

    @Override // com.ynet.life.sujrb.cache.Cache
    public void clear() {
        this.data.clear();
    }

    @Override // com.ynet.life.sujrb.cache.Cache
    public Map<String, Object> get(String id) {
        return this.data.get(id);
    }

    @Override // com.ynet.life.sujrb.cache.Cache
    public void put(String id, Map<String, Object> value) {
        this.data.put(id, value);
    }

    @Override // com.ynet.life.sujrb.cache.Cache
    public void remove(String id) {
        this.data.remove(id);
    }

    @Override // com.ynet.life.sujrb.cache.Cache
    public void init(int maxSize) throws IOException {
        this.data = Collections.synchronizedMap(new LRUMap(maxSize));
    }

    @Override // com.ynet.life.sujrb.cache.Cache
    public Map getData() {
        return this.data;
    }

    @Override // com.ynet.life.sujrb.cache.Cache
    public String getCacheName() {
        return null;
    }
}
